다음을 통해 공유


Access Bridges - Create Or Update

새로운 접근 다리를 만들거나 기존 접근 다리의 특성을 업데이트하세요.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetworkCloud/accessBridges/{accessBridgeName}?api-version=2026-01-01-preview

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
accessBridgeName
path True

AccessBridgeAllowedName

접근 다리 이름이야.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

subscriptionId
path True

string (uuid)

대상 구독의 ID입니다. 값은 UUID여야 합니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

요청 본문

Name 필수 형식 Description
extendedLocation True

Azure.ResourceManager.CommonTypes.ExtendedLocation

자원의 확장된 위치. 이 속성은 자원을 생성할 때 필요합니다.

location True

string

리소스가 있는 지리적 위치

properties.networkId True

string (arm-id)

사용할 IP 서브넷을 포함하는 3계층 격리 도메인 내 내부 네트워크의 리소스 ID.

properties.ipv4ConnectedPrefix

string

액세스 브리지가 주소를 할당하는 IPv4 서브넷입니다. 이 서브넷은 networkId가 지정한 내부 네트워크의 일부여야 합니다.

properties.ipv6ConnectedPrefix

string

액세스 브리지가 주소를 할당하는 IPv6 서브넷입니다. 이 서브넷은 networkId가 지정한 내부 네트워크의 일부여야 합니다.

properties.securityRules

AccessBridgeSecurityRule[]

액세스 브리지가 시행하는 보안 규칙 목록.

tags

object

리소스 태그.

응답

Name 형식 Description
200 OK

AccessBridge

리소스 'AccessBridge' 업데이트 작업이 성공했습니다

201 Created

AccessBridge

리소스 'AccessBridge' create 작업이 성공했습니다

헤더

Azure-AsyncOperation: string

Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 Flow.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

Create or update access bridge

샘플 요청

PUT https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/accessBridges/Bastion?api-version=2026-01-01-preview

{
  "extendedLocation": {
    "name": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.ExtendedLocation/customLocations/clusterExtendedLocationName",
    "type": "CustomLocation"
  },
  "location": "location",
  "properties": {
    "ipv4ConnectedPrefix": "198.51.100.0/24",
    "ipv6ConnectedPrefix": "2001:db8::/64",
    "networkId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.ManagedNetworkFabric/l3IsolationDomains/l3IsolationDomainName/internalNetworks/internalNetworkName",
    "securityRules": [
      {
        "description": "Allow management plane egress",
        "direction": "Outbound",
        "ipv4Addresses": [
          "10.10.20.10-10.10.20.20"
        ],
        "ipv6Addresses": [
          "2001:db8:abcd:12::1000-2001:db8:abcd:12::1fff"
        ],
        "port": "24562-24570"
      }
    ]
  },
  "tags": {
    "key1": "myvalue1",
    "key2": "myvalue2"
  }
}

샘플 응답

{
  "extendedLocation": {
    "name": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.ExtendedLocation/customLocations/clusterExtendedLocationName",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/accessBridges/accessBridgeName",
  "location": "location",
  "name": "accessBridgeName",
  "properties": {
    "detailedStatus": "Running",
    "detailedStatusMessage": "The access bridge is serving traffic from the VIP and storage appliance endpoints.",
    "endpoints": [
      {
        "fqdn": "bastion.contoso.example.com",
        "ipv4Address": "192.51.100.10",
        "ipv6Address": "2001:db8::10",
        "name": "vip"
      }
    ],
    "ipv4ConnectedPrefix": "198.51.100.0/24",
    "ipv6ConnectedPrefix": "2001:db8::/64",
    "networkId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.ManagedNetworkFabric/l3IsolationDomains/l3IsolationDomainName/internalNetworks/internalNetworkName",
    "protocol": "TCP",
    "provisioningState": "Succeeded",
    "securityRules": [
      {
        "description": "Allow management plane egress",
        "direction": "Outbound",
        "ipv4Addresses": [
          "10.10.20.10-10.10.20.20"
        ],
        "ipv6Addresses": [
          "2001:db8:abcd:12::1000-2001:db8:abcd:12::1fff"
        ],
        "port": "24562-24570"
      }
    ]
  },
  "systemData": {
    "createdAt": "2021-01-22T13:27:03.008Z",
    "createdBy": "identityA",
    "createdByType": "Application",
    "lastModifiedAt": "2021-01-22T13:29:03.001Z",
    "lastModifiedBy": "identityB",
    "lastModifiedByType": "User"
  },
  "tags": {
    "key1": "myvalue1",
    "key2": "myvalue2"
  },
  "type": "Microsoft.NetworkCloud/accessBridges"
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.NetworkCloud/locations/location/operationStatuses/operationId?api-version=2026-01-01-preview
{
  "extendedLocation": {
    "name": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.ExtendedLocation/customLocations/clusterExtendedLocationName",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/accessBridges/accessBridgeName",
  "location": "location",
  "name": "accessBridgeName",
  "properties": {
    "detailedStatus": "Running",
    "detailedStatusMessage": "The access bridge is serving traffic from the VIP and storage appliance endpoints.",
    "endpoints": [
      {
        "fqdn": "bastion.contoso.example.com",
        "ipv4Address": "192.51.100.10",
        "ipv6Address": "2001:db8::10",
        "name": "vip"
      }
    ],
    "ipv4ConnectedPrefix": "198.51.100.0/24",
    "ipv6ConnectedPrefix": "2001:db8::/64",
    "networkId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.ManagedNetworkFabric/l3IsolationDomains/l3IsolationDomainName/internalNetworks/internalNetworkName",
    "protocol": "TCP",
    "provisioningState": "Accepted",
    "securityRules": [
      {
        "description": "Allow management plane egress",
        "direction": "Outbound",
        "ipv4Addresses": [
          "10.10.20.10-10.10.20.20"
        ],
        "ipv6Addresses": [
          "2001:db8:abcd:12::1000-2001:db8:abcd:12::1fff"
        ],
        "port": "24562-24570"
      }
    ]
  },
  "systemData": {
    "createdAt": "2021-01-22T13:27:03.008Z",
    "createdBy": "identityA",
    "createdByType": "Application",
    "lastModifiedAt": "2021-01-22T13:29:03.001Z",
    "lastModifiedBy": "identityB",
    "lastModifiedByType": "User"
  },
  "tags": {
    "key1": "myvalue1",
    "key2": "myvalue2"
  },
  "type": "Microsoft.NetworkCloud/accessBridges"
}

정의

Name Description
AccessBridge

AccessBridge는 관리형 액세스 브리지 자원을 나타냅니다.

AccessBridgeAllowedName

접근 다리 이름이야.

AccessBridgeDetailedStatus

접근 다리에서 보고된 상세 상태.

AccessBridgeEndpoint

AccessBridgeEndpoint는 단일 광고된 서비스 엔드포인트를 설명합니다.

AccessBridgeProvisioningState

접근 브리지의 프로비저링 상태.

AccessBridgeSecurityRule

AccessBridgeSecurityRule은 브리지가 강제하는 개별 접근 규칙을 캡처합니다.

Azure.ResourceManager.CommonTypes.ExtendedLocation

확장된 위치의 복합 형식입니다.

createdByType

리소스를 만든 ID의 형식입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

ExtendedLocationType

확장된 위치의 형식입니다.

SecurityRuleDirection

규칙에 따라 허용된 네트워크 트래픽의 방향.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

TransportProtocol

액세스 브리지 엔드포인트에서 광고하는 프로토콜입니다.

AccessBridge

AccessBridge는 관리형 액세스 브리지 자원을 나타냅니다.

Name 형식 Description
etag

string

"etag가 응답 본문에 제공되면 일반 etag 규칙에 따라 헤더로 제공될 수도 있습니다. 엔터티 태그는 동일한 요청된 리소스에서 둘 이상의 엔터티를 비교하는 데 사용됩니다. HTTP/1.1은 etag(섹션 14.19), If-Match(섹션 14.24), If-None-Match(섹션 14.26) 및 If-Range(섹션 14.27) 헤더 필드에서 엔터티 태그를 사용합니다.")

extendedLocation

Azure.ResourceManager.CommonTypes.ExtendedLocation

자원의 확장된 위치. 이 속성은 자원을 생성할 때 필요합니다.

id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

리소스가 있는 지리적 위치

name

string

리소스의 이름

properties.detailedStatus

AccessBridgeDetailedStatus

접근 다리에서 보고된 상세 상태.

properties.detailedStatusMessage

string

상세한 상태와 함께 제공되는 설명 메시지.

properties.endpoints

AccessBridgeEndpoint[]

클라이언트가 액세스 브리지에 도달하기 위해 사용해야 하는 관찰된 엔드포인트들입니다.

properties.ipv4ConnectedPrefix

string

액세스 브리지가 주소를 할당하는 IPv4 서브넷입니다. 이 서브넷은 networkId가 지정한 내부 네트워크의 일부여야 합니다.

properties.ipv6ConnectedPrefix

string

액세스 브리지가 주소를 할당하는 IPv6 서브넷입니다. 이 서브넷은 networkId가 지정한 내부 네트워크의 일부여야 합니다.

properties.networkId

string (arm-id)

사용할 IP 서브넷을 포함하는 3계층 격리 도메인 내 내부 네트워크의 리소스 ID.

properties.protocol

TransportProtocol

액세스 브리지 엔드포인트에서 광고하는 프로토콜입니다.

properties.provisioningState

AccessBridgeProvisioningState

접근 브리지의 프로비저링 상태.

properties.securityRules

AccessBridgeSecurityRule[]

액세스 브리지가 시행하는 보안 규칙 목록.

systemData

systemData

Azure Resource Manager 메타데이터에 createdBy 및 modifiedBy 정보가 포함되어 있습니다.

tags

object

리소스 태그.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

AccessBridgeAllowedName

접근 다리 이름이야.

Description
Bastion

맨 금속 기계 보루 접근을 위한 접근 다리.

PrivateVault

프라이빗 볼트에 클러스터 접근을 위한 액세스 브리지입니다.

StorageDashboard

저장 대시보드에 접근하는 접근 브리지입니다.

AccessBridgeDetailedStatus

접근 다리에서 보고된 상세 상태.

Description
Running

접근 다리는 건강하고 정상적으로 작동하고 있습니다.

Degraded

접근 다리가 성능 저하 또는 부분적인 장애를 겪고 있습니다.

Failed

접근 다리는 작동하지 않습니다.

AccessBridgeEndpoint

AccessBridgeEndpoint는 단일 광고된 서비스 엔드포인트를 설명합니다.

Name 형식 Description
fqdn

string

엔드포인트의 인증서 이름을 설명하는 데 사용된 완전 적격 도메인 이름입니다.

ipv4Address

string

엔드포인트와 연관된 IPv4 주소입니다.

ipv6Address

string

엔드포인트와 연관된 IPv6 주소입니다.

name

string

엔드포인트 유형(예: VIP나 호스트)을 식별하는 이름입니다.

AccessBridgeProvisioningState

접근 브리지의 프로비저링 상태.

Description
Accepted

수락 상태.

Canceled

취소된 상태.

Failed

실패 상태.

Provisioning

프로비저닝 상태.

Succeeded

성공 상태.

AccessBridgeSecurityRule

AccessBridgeSecurityRule은 브리지가 강제하는 개별 접근 규칙을 캡처합니다.

Name 형식 Description
description

string

사용자는 이 규칙에 대해 설명한 가치를 제공했습니다.

direction

SecurityRuleDirection

규칙에 따라 허용된 네트워크 트래픽의 방향.

ipv4Addresses

string[]

보안 규칙의 출발지 또는 목적지로 허용된 IPv4 주소 집합입니다. 단일 주소로 작성할 때는 /32(CIDR 표기법)를 사용하세요. Ipv4Address와 Ipv6Addresss 중 하나 또는 둘 다를 지정해야 합니다. 예시 형식: 10.10.10.10-10.10.20 또는 10.10.10.10/24.

ipv6Addresses

string[]

보안 규칙의 출발지 또는 목적지로 허용되는 IPv6 주소 집합입니다. 단일 주소로 작성할 때는 /128(CIDR 표기법)을 사용하세요. Ipv4Address와 Ipv6Addresss 중 하나 또는 둘 다를 지정해야 합니다. 예시 형식: 2001:db8:abcd::1-2001:db8:abcd::ff 또는 2001:db8:abcd::1/64.

port

string

소스 또는 목적지 포트 또는 포트 범위 중 하나입니다. 예를 들어 24562 또는 24562-24570 같은 경우입니다.

Azure.ResourceManager.CommonTypes.ExtendedLocation

확장된 위치의 복합 형식입니다.

Name 형식 Description
name

string

확장된 위치의 이름입니다.

type

ExtendedLocationType

확장된 위치의 형식입니다.

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

ExtendedLocationType

확장된 위치의 형식입니다.

Description
EdgeZone

Azure Edge Zones 위치 유형

CustomLocation

Azure 사용자 지정 위치 유형

SecurityRuleDirection

규칙에 따라 허용된 네트워크 트래픽의 방향.

Description
Inbound

온프레미스 클러스터로 들어오는 트래픽.

Outbound

온프레미스 클러스터에서 나가는 트래픽.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.

TransportProtocol

액세스 브리지 엔드포인트에서 광고하는 프로토콜입니다.

Description
TCP

TCP 전송 프로토콜입니다.

UDP

UDP 전송 프로토콜입니다.